commit e8dd7ce5d279403705f8aa85bb4a2b2f11f3e887
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Oct 19 17:00:13 2021

    libstdc++: Fix doxygen generation to work with relative paths
    
    In r12-826 I tried to remove some redundant steps from the doxygen
    build, but they are needed when configure is run as a relative path. The
    use of pwd is to resolve the relative path to an absolute one.
    
    libstdc++-v3/ChangeLog:
    
            * doc/Makefile.am (stamp-html-doxygen, stamp-html-doxygen)
            (stamp-latex-doxygen, stamp-man-doxygen): Fix recipes for
            relative ${top_srcdir}.
            * doc/Makefile.in: Regenerate.
    
    (cherry picked from commit 04d392e8430ca66a3f12b7db4f3cb84788269a48)

diff --git a/libstdc++-v3/doc/Makefile.am b/libstdc++-v3/doc/Makefile.am
index 487e8621b23..0aacf3f27de 100644
--- a/libstdc++-v3/doc/Makefile.am
+++ b/libstdc++-v3/doc/Makefile.am
@@ -226,10 +226,11 @@ ${doxygen_outdir}/man:
 	mkdir -p ${doxygen_outdir}/man
 
 stamp-xml-doxygen: ${doxygen_outdir}/xml
-	@builddir=`cd ..; ${PWD_COMMAND}`; \
+	-srcdir=`cd ${top_srcdir}; ${PWD_COMMAND}`; \
+	  builddir=`cd ..; ${PWD_COMMAND}`; \
 	  ${SHELL} ${doxygen_script} \
 	  --host_alias=${host_alias} --mode=xml \
-	  "${top_srcdir}" "$${builddir}" NO || true
+	  "$${srcdir}" "$${builddir}" NO
 	$(STAMP) stamp-xml-doxygen
 
 stamp-xml-single-doxygen: stamp-xml-doxygen
@@ -239,17 +240,19 @@ stamp-xml-single-doxygen: stamp-xml-doxygen
 	$(STAMP) stamp-xml-single-doxygen
 
 stamp-html-doxygen: ${doxygen_outdir}/html
-	@builddir=`cd ..; ${PWD_COMMAND}`; \
+	-srcdir=`cd ${top_srcdir}; ${PWD_COMMAND}`; \
+	  builddir=`cd ..; ${PWD_COMMAND}`; \
 	  ${SHELL} ${doxygen_script} \
 	  --host_alias=${host_alias} --mode=html \
-	  "${top_srcdir}" "$${builddir}" YES || true
+	  "$${srcdir}" "$${builddir}" YES
 	$(STAMP) stamp-html-doxygen
 
 stamp-latex-doxygen: ${doxygen_outdir}/latex
-	@builddir=`cd ..; ${PWD_COMMAND}`; \
+	-srcdir=`cd ${top_srcdir}; ${PWD_COMMAND}`; \
+	  builddir=`cd ..; ${PWD_COMMAND}`; \
 	  ${SHELL} ${doxygen_script} \
 	  --host_alias=${host_alias} --mode=latex --latex_cmd=$(LATEX_CMD) \
-	  "${top_srcdir}" "$${builddir}" NO || true
+	  "$${srcdir}" "$${builddir}" NO
 	$(STAMP) stamp-latex-doxygen
 
 # Chance of loooooonnggg creation time on this rule.  Iff this fails,
@@ -274,10 +277,11 @@ stamp-pdf-doxygen: stamp-latex-doxygen ${doxygen_outdir}/pdf
 	$(STAMP) stamp-pdf-doxygen
 
 stamp-man-doxygen: ${doxygen_outdir}/man
-	@builddir=`cd ..; ${PWD_COMMAND}`; \
+	-srcdir=`cd ${top_srcdir}; ${PWD_COMMAND}`; \
+	  builddir=`cd ..; ${PWD_COMMAND}`; \
 	  ${SHELL} ${doxygen_script} \
 	  --host_alias=${host_alias} --mode=man \
-	  "${top_srcdir}" "$${builddir}" YES || true
+	  "$${srcdir}" "$${builddir}" YES
 	$(STAMP) stamp-man-doxygen
 
 doc-xml-doxygen: stamp-xml-doxygen
